import React, { useEffect, useMemo, useState } from 'react'
// import { useEffect, useLayoutEffect, useReducer, useState, useContext, useRef, useCallback, useMemo } from '@tarojs/taro'
import Taro, { useShareAppMessage, useRouter } from "@tarojs/taro";
import { useSelector, } from 'react-redux'
import { View, Input, Text, Image ,Picker } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import './index.scss'
import request from '../../util/request';

// Page({
//     data: {
//         text: 'init data',
//         array: [{ msg: '1' }, { msg: '2' }]
//     }
// })

const index = (props) => {



    const router = useRouter()

    const { houseId } = router.params

    const user = useSelector(state => state.user)

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])
    const [number,setNumber] = useState()
    const [startTime,setStartTime]=useState('')
    const [endTime,setEndTime]=useState('')
    useEffect(() => {

        // console.log(page, 'page')
        setList([
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            }
        ])
    }, [])
    useShareAppMessage(res => {
        console.log('3333')
        if (res.from === 'button') {
            // 来自页面内转发按钮
            console.log(res.target)
        }
        const response =  syncAddOrder()
        // /api/ma/taHouseSetting method:'post'
        return {
            title: '分享到微信',
            path: `/pages/index/index?houseId=${houseId}&number=${number}&startTime=${startTime}&endTime=${endTime}`
        }
    })

    async function syncAddOrder() {
        const data={
            houseId,
            number,
            startTime,
            endTime
        }
      return  request({url:'/taHouseSetting',method:'post',data})
      }   

    const onTimeChange = (e) => {
        console.log(e, '111')
        setStartTime(e.detail.value)
    }


    return <View className='share'>


        {/* <View className='page-section'>
            <Text>时间选择器</Text>
            <View>
              <Picker mode='time' onChange={this.onTimeChange}>
                <View className='picker'>
                  当前选择：{this.state.timeSel}
                </View>
              </Picker>
            </View>
          </View> */}

        <Layout>
            <View className='inputstyle-view'>
                <Text className='title'>入住人数</Text>
                <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                    <Input type='number' onInput={()=>setLngLat(e.detail.value)} placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                </Container>
            </View>
            <View className='inputstyle-view'>
                <Text className='title'>入住日期</Text>
                <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >

                    <Picker mode='date' onChange={onTimeChange}>
                        <View className='input' style={{height: '44rpx',lineHeight: '44rpx',fontsize: '28rpx'}}>
                            {startTime}
                        </View>
                    </Picker>
                    {/* <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' /> */}
                </Container>
            </View>

            <View className='inputstyle-view'>
                <Text className='title'>离店日期</Text>
                <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                <Picker mode='date' onChange={(e)=>{setEndTime(e.detail.value)}}>
                        <View className='input' style={{height: '44rpx',lineHeight: '44rpx',fontsize: '28rpx'}}>
                            {endTime}
                        </View>
                    </Picker>
                </Container>
            </View>
        </Layout>
        <Tab openType="share" className='addhousetab' color='#ffffff' pageState='3' onClick={(e) => console.log(33)} value={['分享到微信']} ></Tab> 


        {/* onClick={[(e) => setPageState('2'),style={{ display: 'contents' }} (e) => setPageState('1')]} */}

        {/* <Tab className='addhousetab' color='#ffffff' pageState='3' value={['分享到微信']} ></Tab> */}

    </View>
}

export default index